package com.css.simulation.resource.scheduler.mapper;


import com.css.simulation.resource.scheduler.pojo.po.JobPO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

@Mapper
public interface JobMapper {


    @Results(id = "job", value = {
            @Result(property = "id", column = "id", jdbcType = JdbcType.VARCHAR)
    })
    @Select("select id\n" +
            "from simulation_job\n" +
            "where is_deleted = '0'\n" +
            "  and state = '1'\n" +
            "order by create_time\n" +
            "limit 0,1\n")
    JobPO selectWaitingJob();


    @Update("update simulation_job\n" +
            "set state = #{state}\n" +
            "where id = #{id}")
    void updateJobState(@Param("id") String id,@Param("state") String state);
}
